<?php
/**
 * Pro customizer section.
 *
 * @since  1.0.0
 * @access public
 */
class saybusiness_upsell_button extends WP_Customize_Section {

	/**
	 * The type of customize section being rendered.
	 *
	 * @since  1.0.0
	 * @access public
	 * @var    string
	 */
	public $type = 'saybusiness-upsell';

	/**
	 * Custom button text to output.
	 *
	 * @since  1.0.0
	 * @access public
	 * @var    string
	 */
	public $saybusiness_pro_text = '';

	/**
	 * Custom pro button URL.
	 *
	 * @since  1.0.0
	 * @access public
	 * @var    string
	 */
	public $saybusiness_pro_url = '';

	/**
	 * Add custom parameters to pass to the JS via JSON.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function json() {
		$json = parent::json(); 
			$json['saybusiness_pro_text'] = esc_html($this->saybusiness_pro_text);
			$json['saybusiness_pro_url']  = esc_url($this->saybusiness_pro_url);
		return $json;
	}

	/**
	 * Outputs the Underscore.js template.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	protected function render_template() { ?>

		<li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">

			<h3 class="accordion-section-title">
				{{ data.title }}
				<# if ( data.saybusiness_pro_text && data.saybusiness_pro_url ) { #>
					<a href="{{ data.saybusiness_pro_url }}" class="button button-secondary alignright" style="margin-top: -3px;" target="_blank">{{ data.saybusiness_pro_text }}</a>
				<# } #>
			</h3>
		</li>
	<?php }
}
